%bcond_without otf

# note this duplicates native anthy IMEs
%bcond_without anthy
# use --with gui to build GUI library
%bcond_with gui

Name:    m17n-lib
Version:  1.6.1
Release:  4%{?dist}
Summary:  Multilingual text library

Group:    System Environment/Libraries
License:  LGPLv2
URL:    http://www.m17n.org/m17n-lib/index.html
Source0:  http://www.m17n.org/m17n-lib-download/%{name}-%{version}.tar.gz
Patch0:  m17n-lib-1.6.1-multilib.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  m17n-db-devel >= 1.6.0
%if %{with anthy}
BuildRequires:  anthy-devel
%endif
%if %{with gui}
BuildRequires:  libxml2-devel, libXft-devel, fontconfig-devel
BuildRequires:  freetype-devel >= 2.0, fribidi-devel, gd-devel >= 2.0, libXaw-devel
# ispell seems to depend on gui
BuildRequires:  aspell
%endif
%if %{with otf}
BuildRequires:  libotf-devel
%endif
Requires:  m17n-db = %{version}
Obsoletes: m17n-lib-flt < 1.6.0-1.fc13
Provides: m17n-lib-flt = %{version}-%{release}


%description
m17n-lib is a multilingual text library used primarily to allow
the input of many languages with the input table maps from m17n-db.

The package provides the core and input method backend libraries.

%package  anthy
Summary:  Anthy module for m17n
Group:    System Environment/Libraries

%description anthy
Anthy module for %{name} allows ja-anthy.mim to support input conversion.


%package  devel
Summary:  Development files for %{name}
Group:    Development/Libraries
Requires:  %{name} = %{version}-%{release}
Requires:  %{name}-flt = %{version}-%{release}
Requires:  %{name}-anthy = %{version}-%{release}

%description devel
Development files for %{name}.


%if %{with gui}
%package  gui
Summary:  m17n GUI Library
Group:    System Environment/Libraries
Requires: m17n-db-datafiles

%description gui
M17n GUI widget library.


%package  ispell
Summary:  Spelling module for m17n
Group:    System Environment/Libraries

%description ispell
Ispell module for m17n input.
%endif


%prep
%setup -q 
%patch0 -p0

%build
# XXX: Supply libotf cflags/libs manually, since the current libotf
# package does not ship with "libotf-config" and m17n-lib cannot
# detect those values.
CPPFLAGS=`pkg-config libotf --cflags`
export CPPFLAGS
LIBS=`pkg-config libotf --libs`
export LIBS
%configure --disable-rpath --disable-static %{!?with_gui:--without-gui}
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# remove unneeded files
rm $RPM_BUILD_ROOT%{_libdir}/lib*.la
rm $RPM_BUILD_ROOT%{_libdir}/m17n/1.0/libmimx-anthy.la
%if %{without anthy}
rm $RPM_BUILD_ROOT%{_libdir}/m17n/1.0/libmimx-anthy*
%endif
%if %{with gui}
rm $RPM_BUILD_ROOT%{_libdir}/m17n/1.0/libm17n-X.la
rm $RPM_BUILD_ROOT%{_libdir}/m17n/1.0/libm17n-gd.la
rm $RPM_BUILD_ROOT%{_libdir}/m17n/1.0/libmimx-ispell.la
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_bindir}/m17n-conv
%{_libdir}/libm17n.so.*
%{_libdir}/libm17n-core.so.*
%{_libdir}/libm17n-flt.so.*

%files anthy
%defattr(-,root,root,-)
%{_libdir}/m17n/1.0/libmimx-anthy.so

%files devel
%defattr(-,root,root,-)
%doc ChangeLog README
%{_bindir}/m17n-config
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%if %{with gui}
%files gui
%defattr(-,root,root,-)
%{_bindir}/m17n-date
%{_bindir}/m17n-dump
%{_bindir}/m17n-edit
%{_bindir}/m17n-view
%{_libdir}/m17n/1.0/libm17n-X.so
%{_libdir}/m17n/1.0/libm17n-gd.so
%{_libdir}/libm17n-gui.so.*

%files ispell
%defattr(-,root,root,-)
%{_libdir}/m17n/1.0/libmimx-ispell.so
%endif


%changelog
* Fri Sep 10 2010 Daiki Ueno <dueno@redhat.com> - 1.6.1-4
- supply libotf cflags/libs manually, since the current libotf package
  does not ship with "libotf-config" and m17n-lib cannot detect those
  values
- fix paths for modules used by GUI support

* Wed Aug 11 2010 Adam Jackson <ajax@redhat.com> 1.6.1-3
- Fix Obsoletes: so upgrades actually work (1.5.5-3 < 1.5.5-3.fc13)

* Wed Jul 07 2010 Parag Nemade <pnemade@redhat.com> - 1.6.1-2
- Resolves: rh#602029:-m17n-lib-devel multilib conflict 
- Fix rpmlint rpath error.

* Tue Apr 27 2010 Parag Nemade <pnemade AT redhat.com> - 1.6.1-1
- update to new upstream release 1.6.1

* Wed Apr 07 2010 Parag Nemade <pnemade AT redhat.com> - 1.6.0-1
- update to new upstream release 1.6.0

* Wed Dec 23 2009 Jens Petersen <petersen@redhat.com> - 1.5.5-2
- add bcond for otf, anthy, and gui
- subpackage flt for emacs, etc
- add subpackages for anthy and ispell modules
- disable new gui subpackage (and hence ispell)

* Mon Aug 17 2009 Parag Nemade <pnemade@redhat.com> - 1.5.5-1
- update to new upstream release 1.5.5

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 03 2009 Parag Nemade <pnemade@redhat.com> -1.5.4-1
- Update to new upstream release 1.5.4

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 21 2008 Parag Nemade <pnemade@redhat.com> -1.5.3-1.fc10
- Update to new upstream release 1.5.3

* Thu Jul 03 2008 Parag Nemade <pnemade@redhat.com> -1.5.2-1
- Update to new upstream release 1.5.2

* Thu Feb 07 2008 Parag Nemade <pnemade@redhat.com> -1.5.1-1.fc9
- Update to new upstream release 1.5.1

* Fri Dec 28 2007 Parag Nemade <pnemade@redhat.com> -1.5.0-1.fc9
- Update to new upstream release 1.5.0
- Added missing internal-flt.h file as Source1

* Wed Aug 22 2007 Parag Nemade <pnemade@redhat.com> - 1.4.0-2
- rebuild against new rpm package
- update license tag

* Thu Jul 19 2007 Jens Petersen <petersen@redhat.com>
- buildrequire and require m17n-db >= 1.4.0

* Thu Jul 19 2007 Parag Nemade <pnemade@redhat.com> - 1.4.0-1
- Updated to new upstream release 1.4.0

* Wed Jan 10 2007 Mayank Jain <majain@redhat.com> - 1.3.4-1.1.fc7
- rebuild for m17n-lib-1.3.4 version
- Updated m17n-lib-nobuild-examples.patch

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.3.3-1.1.fc6
- rebuild

* Wed Jul 12 2006 Mayank Jain <majain@redhat.com> - 1.3.3-1.fc6
- Updated spec file for changes mentioned in RH bug 193524, comment 4
- Thanks to Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>

* Thu Mar  2 2006 Jens Petersen <petersen@redhat.com> - 1.3.3-1
- update to 1.3.3 minor bugfix release

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.3.2-1.1
- bump again for double-long bug on ppc(64)

* Fri Feb 10 2006 Jens Petersen <petersen@redhat.com> - 1.3.2-1
- update to 1.3.2 bugfix release
  - m17n-lib-no-gui-headers.patch is now upstream

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.3.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Feb  2 2006 Jens Petersen <petersen@redhat.com> - 1.3.1-1
- update to 1.3.1 release
  - rename use_otf and use_anthy macros to with_gui and with_examples
  - build --with-gui=no and replace m17n-lib-1.2.0-core-libs-only.patch
    with m17n-lib-no-gui-headers.patch and m17n-lib-nobuild-examples.patch

* Fri Dec 16 2005 Jens Petersen <petersen@redhat.com> - 1.2.0-2
- import to Fedora Core
- buildrequire autoconf

* Thu Nov 10 2005 Jens Petersen <petersen@redhat.com> - 1.2.0-1
- do not build static lib and .la files (Warren Togami)

* Wed Oct  5 2005 Jens Petersen <petersen@redhat.com>
- initial packaging for Fedora Extras

* Sat Jan 15 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp>
- modify spec for fedora
